<?php
namespace common\components\giro;
/**
 * @property common\components\giro\GiroUzenetsorszam $uzenetSorszam
 * @property common\components\giro\GiroBankszamla $kezdemenyezoBankszamla
 * */
class GiroBeszedFej extends GiroBase{
	
	public $recordTipus = "01";
	public $uzenetTipus = "BESZED";
	public $duplumKod = "";
	public $kezdemenyezoAzonosito = "";
	
	public $uzenetSorszam;
	public $kezdemenyezoBankszamla;
	
	public $ertesitesiHatarido;
	public $jogcim = "BEE";
	public $kezdemenyezoCegNeve;
	public $kozlemeny;
	
	
	public function  __construct(){
		$this->uzenetSorszam = new GiroUzenetsorszam();
		$this->kezdemenyezoBankszamla = new GiroBankszamla();
	}
	
	
	public function toString( ) {
		return $this->recordTipus 
		.$this->uzenetTipus 
		. $this->duplumKod 
		. $this->szovegKitolt( $this->kezdemenyezoAzonosito  , 13)
		. $this->uzenetSorszam->toString()
		. $this->kezdemenyezoBankszamla->toString()
		. $this->szamKitolt($this->ertesitesiHatarido,8)
		. $this->jogcim
		. $this->szovegKitolt($this->kezdemenyezoCegNeve, 35)
		. $this->szovegKitolt($this->kozlemeny, 70)
		. $this->rekordVege()
		;
	}
	
	
}